Skip to main content
GET
Get Refunds

Authorizations

x-client-id
string
header
required

Client ID for API authentication

x-api-key
string
header
required

API Key for API authentication

Query Parameters

limit
number
default:25

The number of refunds to return.

Required range: 1 <= x <= 100
page
number
default:1

The page number of the refunds to return.

Required range: x >= 1
sortDirection
enum<string>

Sort direction by refund created date. Defaults to descending.

Available options:
ASC,
DESC
Example:

"DESC"

contributionId
string

Filter by contribution id.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"8810f34fd5061afeec3eab68"

minimumUpdatedDate
string<date-time>

The minimum updated date of the refunds to return.

Example:

"2025-01-01"

maximumUpdatedDate
string<date-time>

The maximum updated date of the refunds to return.

Example:

"2025-02-01"

Response

200 - application/json
data
object[]
required

List of refunds.

totalCount
number
required

Total number of refunds matching the filters.

Example:

100

Last modified on July 14, 2026